Skip to main content
Resource Center/Network Service/Network Service Operations/Load Balancing Operations
POSTLoad Balancing OperationsSince 3.9.0SynchronousAuth Required

AddAccessControlListToLoadBalancer

AddAccessControlListToLoadBalancer

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • listenerUuidStringRequired

    The listener UUID.

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • aclUuidsListRequired

      The UUID of the access control list.

    • aclTypeStringRequired

      The access control type.

  • serverGroupUuidsList

    Optional. The UUID of the load balancer server group.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

POST/zstack/v1/load-balancers/listeners/{listenerUuid}/access-control-lists

/zstack/v1/load-balancers/listeners/{listenerUuid}/access-control-lists

Operation ID

AddAccessControlListToLoadBalancer

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/load-balancers/listeners/{listenerUuid}/access-control-lists' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"aclUuids":["<aclUuids>"],"aclType":"<aclType>"},"serverGroupUuids":["<serverGroupUuids>"],"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history